VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::content::LibraryModel Class Reference

The LibraryModel class represents a Content Library resource model. More...

List of all members.

## Classes
class | LibraryType
| The `LibraryModel.LibraryType` enumerated type defines the type of a LibraryModel . More...
## Public Member Functions
| LibraryModel ()
| Creates a default new instance.
string | GetId ()
| An identifier which uniquely identifies this `LibraryModel` .
void | SetId (string id)
| An identifier which uniquely identifies this `LibraryModel` .
global::System.DateTimeOffset | GetCreationTime ()
| The date and time when this library was created.
void | SetCreationTime (global::System.DateTimeOffset?creationTime)
| The date and time when this library was created.
string | GetDescription ()
| A human-readable description for this library.
void | SetDescription (string description)
| A human-readable description for this library.
global::System.DateTimeOffset | GetLastModifiedTime ()
| The date and time when this library was last updated.
void | SetLastModifiedTime (global::System.DateTimeOffset?lastModifiedTime)
| The date and time when this library was last updated.
global::System.DateTimeOffset | GetLastSyncTime ()
| The date and time when this library was last synchronized.
void | SetLastSyncTime (global::System.DateTimeOffset?lastSyncTime)
| The date and time when this library was last synchronized.
string | GetName ()
| The name of the library.
void | SetName (string name)
| The name of the library.
global::System.Collections.Generic.List < vmware.content.library.StorageBacking > | GetStorageBackings ()
| The list of storage backings which are available for this library.
void | SetStorageBackings (global::System.Collections.Generic.List< vmware.content.library.StorageBacking > storageBackings)
| The list of storage backings which are available for this library.
vmware.content.LibraryModel.LibraryType | Get_Type ()
| The type ( LOCAL, SUBSCRIBED) of this library.
void | SetType (vmware.content.LibraryModel.LibraryType type)
| The type ( LOCAL, SUBSCRIBED) of this library.
vmware.content.library.OptimizationInfo | GetOptimizationInfo ()
| Defines various optimizations and optimization parameters applied to this library.
void | SetOptimizationInfo (vmware.content.library.OptimizationInfo optimizationInfo)
| Defines various optimizations and optimization parameters applied to this library.
string | GetVersion ()
| A version number which is updated on metadata changes.
void | SetVersion (string version)
| A version number which is updated on metadata changes.
vmware.content.library.PublishInfo | GetPublishInfo ()
| Defines how this library is published so that it can be subscribed to by a remote subscribed library.
void | SetPublishInfo (vmware.content.library.PublishInfo publishInfo)
| Defines how this library is published so that it can be subscribed to by a remote subscribed library.
vmware.content.library.SubscriptionInfo | GetSubscriptionInfo ()
| Defines the subscription behavior for this Library.
void | SetSubscriptionInfo (vmware.content.library.SubscriptionInfo subscriptionInfo)
| Defines the subscription behavior for this Library.
string | GetServerGuid ()
| The unique identifier of the vCenter server where the library exists.
void | SetServerGuid (string serverGuid)
| The unique identifier of the vCenter server where the library exists.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The LibraryModel class represents a Content Library resource model.

A `LibraryModel` is a container for a set of items which represent a usable set of files. The Content Library Service allows for multiple libraries to be created with separate authorization and sharing policies.

Each `LibraryModel` is a container for a set of library.ItemModel instances. Each item is a logical object in a library, which may have multiple files.

A `LibraryModel` may be local or subscribed. A local library has its source of truth about items within this Content Library Service. Items may be added to or removed from the library. A local library may also be private or published. When published, the library is exposed by a network endpoint and can be used by another Content Library Service for synchronization. A private local library cannot be used for synchronization.

A subscribed library is a library which gets its source of truth from another library that may be across a network in another Content Library Service. A subscribed library may have a different name and metadata from the library to which it subscribes, but the set of library items is always the same as those in the source library. Library items cannot be manually added to a subscribed library -- they can only be added by adding new items to the source library.

## Constructor & Destructor Documentation

vmware::content::LibraryModel::LibraryModel | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::LibraryModel::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::LibraryModel::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::LibraryModel::_GetType | ( |  | ) | `[inline]`

bool vmware::content::LibraryModel::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::LibraryModel::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::LibraryModel::Equals | ( | object | obj | ) | `[inline]`

vmware.content.LibraryModel.LibraryType vmware::content::LibraryModel::Get_Type | ( |  | ) | `[inline]`

The type ( LOCAL, SUBSCRIBED) of this library.

This value can be used to determine what additional services and information can be available for this library.

global::System.DateTimeOffset vmware::content::LibraryModel::GetCreationTime | ( |  | ) | `[inline]`

The date and time when this library was created.

string vmware::content::LibraryModel::GetDescription | ( |  | ) | `[inline]`

A human-readable description for this library.

override int vmware::content::LibraryModel::GetHashCode | ( |  | ) | `[inline]`

string vmware::content::LibraryModel::GetId | ( |  | ) | `[inline]`

An identifier which uniquely identifies this `LibraryModel` .

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.Library` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.Library` .

global::System.DateTimeOffset vmware::content::LibraryModel::GetLastModifiedTime | ( |  | ) | `[inline]`

The date and time when this library was last updated.

This field is updated automatically when the library properties are changed. This field is not affected by adding, removing, or modifying a library item or its content within the library. Tagging the library or syncing the subscribed library does not alter this field.

global::System.DateTimeOffset vmware::content::LibraryModel::GetLastSyncTime | ( |  | ) | `[inline]`

The date and time when this library was last synchronized.

This field applies only to subscribed libraries. It is updated every time a synchronization is triggered on the library. The value is null for a local library.

string vmware::content::LibraryModel::GetName | ( |  | ) | `[inline]`

The name of the library.

A Library is identified by a human-readable name. Library names cannot be undefined or an empty string. Names do not have to be unique.

vmware.content.library.OptimizationInfo vmware::content::LibraryModel::GetOptimizationInfo | ( |  | ) | `[inline]`

Defines various optimizations and optimization parameters applied to this library.

vmware.content.library.PublishInfo vmware::content::LibraryModel::GetPublishInfo | ( |  | ) | `[inline]`

Defines how this library is published so that it can be subscribed to by a remote subscribed library.

The library.PublishInfo defines where and how the metadata for this local library is accessible. A local library is only published publically if library.PublishInfo.published is `true` .

string vmware::content::LibraryModel::GetServerGuid | ( |  | ) | `[inline]`

The unique identifier of the vCenter server where the library exists.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vcenter.VCenter` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vcenter.VCenter` .

global::System.Collections.Generic.List<vmware.content.library.StorageBacking> vmware::content::LibraryModel::GetStorageBackings | ( |  | ) | `[inline]`

The list of storage backings which are available for this library.

A library.StorageBacking defines a storage location which can be used to store files for the library items in this library. Multiple storage locations are not currently supported but may become supported in future releases.

vmware.content.library.SubscriptionInfo vmware::content::LibraryModel::GetSubscriptionInfo | ( |  | ) | `[inline]`

Defines the subscription behavior for this Library.

The library.SubscriptionInfo defines how this subscribed library synchronizes to a remote source. Setting the value will determine the remote source to which the library synchronizes, and how. Changing the subscription will result in synchronizing to a new source. If the new source differs from the old one, the old library items and data will be lost. Setting library.SubscriptionInfo.automaticSyncEnabled to false will halt subscription but will not remove existing cached data.

string vmware::content::LibraryModel::GetVersion | ( |  | ) | `[inline]`

A version number which is updated on metadata changes.

This value allows clients to detect concurrent updates and prevent accidental clobbering of data.

This value represents a number which is incremented every time library properties, such as name or description, are changed. It is not incremented by changes to a library item within the library, including adding or removing items. It is also not affected by tagging the library.

void vmware::content::LibraryModel::SetCreationTime | ( | global::System.DateTimeOffset? | creationTime | ) | `[inline]`

The date and time when this library was created.

void vmware::content::LibraryModel::SetDescription | ( | string | description | ) | `[inline]`

A human-readable description for this library.

void vmware::content::LibraryModel::SetId | ( | string | id | ) | `[inline]`

An identifier which uniquely identifies this `LibraryModel` .

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.Library` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.Library` .

void vmware::content::LibraryModel::SetLastModifiedTime | ( | global::System.DateTimeOffset? | lastModifiedTime | ) | `[inline]`

The date and time when this library was last updated.

This field is updated automatically when the library properties are changed. This field is not affected by adding, removing, or modifying a library item or its content within the library. Tagging the library or syncing the subscribed library does not alter this field.

void vmware::content::LibraryModel::SetLastSyncTime | ( | global::System.DateTimeOffset? | lastSyncTime | ) | `[inline]`

The date and time when this library was last synchronized.

This field applies only to subscribed libraries. It is updated every time a synchronization is triggered on the library. The value is null for a local library.

void vmware::content::LibraryModel::SetName | ( | string | name | ) | `[inline]`

The name of the library.

A Library is identified by a human-readable name. Library names cannot be undefined or an empty string. Names do not have to be unique.

void vmware::content::LibraryModel::SetOptimizationInfo | ( | vmware.content.library.OptimizationInfo | optimizationInfo | ) | `[inline]`

Defines various optimizations and optimization parameters applied to this library.

void vmware::content::LibraryModel::SetPublishInfo | ( | vmware.content.library.PublishInfo | publishInfo | ) | `[inline]`

Defines how this library is published so that it can be subscribed to by a remote subscribed library.

The library.PublishInfo defines where and how the metadata for this local library is accessible. A local library is only published publically if library.PublishInfo.published is `true` .

void vmware::content::LibraryModel::SetServerGuid | ( | string | serverGuid | ) | `[inline]`

The unique identifier of the vCenter server where the library exists.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vcenter.VCenter` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vcenter.VCenter` .

void vmware::content::LibraryModel::SetStorageBackings | ( | global::System.Collections.Generic.List< vmware.content.library.StorageBacking > | storageBackings | ) | `[inline]`

The list of storage backings which are available for this library.

A library.StorageBacking defines a storage location which can be used to store files for the library items in this library. Multiple storage locations are not currently supported but may become supported in future releases.

void vmware::content::LibraryModel::SetSubscriptionInfo | ( | vmware.content.library.SubscriptionInfo | subscriptionInfo | ) | `[inline]`

Defines the subscription behavior for this Library.

The library.SubscriptionInfo defines how this subscribed library synchronizes to a remote source. Setting the value will determine the remote source to which the library synchronizes, and how. Changing the subscription will result in synchronizing to a new source. If the new source differs from the old one, the old library items and data will be lost. Setting library.SubscriptionInfo.automaticSyncEnabled to false will halt subscription but will not remove existing cached data.

void vmware::content::LibraryModel::SetType | ( | vmware.content.LibraryModel.LibraryType | type | ) | `[inline]`

The type ( LOCAL, SUBSCRIBED) of this library.

This value can be used to determine what additional services and information can be available for this library.

void vmware::content::LibraryModel::SetVersion | ( | string | version | ) | `[inline]`

A version number which is updated on metadata changes.

This value allows clients to detect concurrent updates and prevent accidental clobbering of data.

This value represents a number which is incremented every time library properties, such as name or description, are changed. It is not incremented by changes to a library item within the library, including adding or removing items. It is also not affected by tagging the library.

override string vmware::content::LibraryModel::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- LibraryModel.cs